//
//  HWSecondViewController.m
//  HWTableView
//
//  Created by wangqibin on 2018/4/18.
//  Copyright © 2018年 qibin wang. All rights reserved.
//

#import "HWSecondViewController.h"
#import "HWAudioPlayerManger.h"
#import "HWTextView.h"

@interface HWSecondViewController ()

@property (nonatomic, weak) UITextView *textView;

@end

@implementation HWSecondViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor whiteColor];

    //创建控件
    [self creatControl];
}

- (void)creatControl
{
    //返回按钮
    UIButton *backBtn = [[UIButton alloc] initWithFrame:CGRectMake(20, 20, 80, 44)];
    [backBtn setBackgroundColor:[UIColor orangeColor]];
    [backBtn setTitle:@"返回" forState:UIControlStateNormal];
    [backBtn addTarget:self action:@selector(backBtnOnClick) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:backBtn];
    
    //textView
    UITextView *textView = [[UITextView alloc] initWithFrame:CGRectMake(50, CGRectGetMaxY(backBtn.frame) + 30, 200, 200)];
    textView.textColor = [UIColor whiteColor];
    textView.backgroundColor = [UIColor blackColor];
    [self.view addSubview:textView];
    _textView = textView;
    
    //自定义textView，禁止select菜单栏显示
    HWTextView *tView = [[HWTextView alloc] initWithFrame:CGRectMake(50, CGRectGetMaxY(textView.frame) + 30, 200, 200)];
    tView.textColor = [UIColor whiteColor];
    tView.backgroundColor = [UIColor blackColor];
    [self.view addSubview:tView];
}

- (void)backBtnOnClick
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)printf:(UIMenuController *)menu
{
    NSLog(@"printf: %@", _textView.text);
}

- (void)audioPlay:(UIMenuController *)menu
{
    [[HWAudioPlayerManger shareManager] playWithString:_textView.text];
}

@end
